Package org.apache.struts2.interceptor

# Class MethodFilterInterceptorUtil

java.lang.Object
org.apache.struts2.interceptor.MethodFilterInterceptorUtil

public class MethodFilterInterceptorUtil extends Object
Utility class contains common methods used by `MethodFilterInterceptor`.

Author:
  tm_jee

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodFilterInterceptorUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `applyMethod(String excludeMethods, String includeMethods, String method)`
  Same as `applyMethod(Set, Set, String)`, except that `excludeMethods` and `includeMethods` are supplied as comma separated string.
  `static boolean`
  `applyMethod(Set<String> excludeMethods, Set<String> includeMethods, String method)`
  Static method to decide if the specified `method` should be apply (not filtered) depending on the set of `excludeMethods` and `includeMethods`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MethodFilterInterceptorUtil

    public MethodFilterInterceptorUtil()

- ## Method Details

  - ### applyMethod

    public static boolean applyMethod(Set<String> excludeMethods, Set<String> includeMethods, String method)
    Static method to decide if the specified `method` should be apply (not filtered) depending on the set of `excludeMethods` and `includeMethods`.
    - `includeMethods` takes precedence over `excludeMethods`
    Note: Supports wildcard listings in includeMethods/excludeMethods
    Parameters:
      `excludeMethods` - list of methods to exclude.
      `includeMethods` - list of methods to include.
      `method` - the specified method to check
    Returns:
      `true` if the method should be applied.

  - ### applyMethod

    public static boolean applyMethod(String excludeMethods, String includeMethods, String method)
    Same as `applyMethod(Set, Set, String)`, except that `excludeMethods` and `includeMethods` are supplied as comma separated string.
    Parameters:
      `excludeMethods` - comma seperated string of methods to exclude.
      `includeMethods` - comma seperated string of methods to include.
      `method` - the specified method to check
    Returns:
      `true` if the method should be applied.